System.Runtime.Serialization 4.0.0.0 System.Object

indigo1 processes JSON messages using a mapping between JSON data and the XML Infoset. Normally, this mapping is hidden from view. However, in some advanced scenarios it may be necessary to manually convert between JSON and XML. In this case, the class can be used to create the necessary XML readers and writers. Note that not every XML Infoset element can be mapped to JSON. crabout mapping, see JSON Serialization.

Produces instances of that can read data encoded with JavaScript Object Notation (JSON) from a stream or buffer and map it to an XML Infoset and instances of that can map an XML Infoset to JSON and write JSON-encoded data to a stream.

- Method
  4.0.0.0
  System.Xml.XmlDictionaryReader `` ``

  This overload does not accept an parameter. The character encoding (UTF-8, Unicode or Big-Endian Unicode) is auto-detected when the data is read.

  crabout using to prevent Denial of Service attacks when reading untrusted data, see Security Considerations for Data.

  Creates an that can map buffers encoded with JavaScript Object Notation (JSON) to an XML Infoset.

  An that can process JavaScript Object Notation (JSON) data.

  The input buffer array from which to read. The used to prevent Denial of Service attacks when reading untrusted data.
- Method
  4.0.0.0
  System.Xml.XmlDictionaryReader `` ``

  This overload does not take an parameter. The character encoding (UTF-8, Unicode or Big-Endian Unicode) is auto-detected when the data is read.

  crabout using to prevent Denial of Service attacks when reading untrusted data, see Security Considerations for Data.

  Creates an that can map streams encoded with JavaScript Object Notation (JSON) to an XML Infoset.

  An that can read JavaScript Object Notation (JSON).

  The input from which to read. The used to prevent Denial of Service attacks when reading untrusted data.
- Method
  4.0.0.0
  System.Xml.XmlDictionaryReader `` `` `` ``

  This overload does not take an parameter. The character encoding (UTF-8, Unicode or Big-Endian Unicode) is auto-detected when the data is read.

  crabout using to prevent Denial of Service attacks when reading untrusted data, see Security Considerations for Data.

  Creates an that can map buffers encoded with JavaScript Object Notation (JSON), of a specified size and offset, to an XML Infoset.

  An that can read JavaScript Object Notation (JSON).

  The input buffer array from which to read. Starting position from which to read in . Number of bytes that can be read from . The used to prevent Denial of Service attacks when reading untrusted data.
- Method
  4.0.0.0
  System.Xml.XmlDictionaryReader `` `` `` ``

  crabout using to prevent Denial of Service attacks when reading untrusted data, see Security Considerations for Data.

  Creates an that can map streams encoded with JavaScript Object Notation (JSON), of a specified size and offset, to an XML Infoset.

  An that can read JavaScript Object Notation (JSON).

  The input from which to read. The that specifies the character encoding used by the reader. If null is specified as the value, the reader attempts to auto-detect the encoding. The used to prevent Denial of Service attacks when reading untrusted data. The delegate to call when the reader is closed.
- Method
  4.0.0.0
  System.Xml.XmlDictionaryReader `` `` `` `` `` ``

  crabout using to prevent Denial of Service attacks when reading untrusted data, see Security Considerations for Data.

  Creates an that can map buffers encoded with JavaScript Object Notation (JSON), with a specified size and offset and character encoding, to an XML Infoset.

  An that can read JavaScript Object Notation (JSON).

  The input buffer array from which to read. Starting position from which to read in . Number of bytes that can be read from . The that specifies the character encoding used by the reader. If null is specified as the value, the reader attempts to auto-detect the encoding. The used to prevent Denial of Service attacks when reading untrusted data. The delegate to call when the reader is closed. The default value is null.
- Method
  4.0.0.0
  System.Xml.XmlDictionaryWriter ``

  The default character encoding is UTF-8. When the writer is closed, the stream is closed as well.

  Creates an that writes data encoded with JSON to a stream.

  An that writes data encoded with JSON to the stream based on an XML Infoset.

  The output for the JSON writer.
- Method
  4.0.0.0
  System.Xml.XmlDictionaryWriter `` ``

  When the writer is closed, the stream is closed as well.

  Creates an that writes data encoded with JSON to a stream with a specified character encoding.

  An that writes data encoded with JSON to the stream based on an XML Infoset.

  The output for the JSON writer. The that specifies the character encoding used by the writer. The default encoding is UTF-8.
- Method
  4.0.0.0
  System.Xml.XmlDictionaryWriter `` `` `` To be added.

  Creates an that writes data encoded with JSON to a stream with a specified character encoding.

  An that writes data encoded with JSON to the stream based on an XML Infoset.

  The output for the JSON writer. The that specifies the character encoding used by the writer. The default encoding is UTF-8. If true, the output stream is closed by the writer when done; otherwise false. The default value is true.